## tokodon 23.08.0

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Carl Schwan <carlschwan@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

cmake_minimum_required(VERSION 3.16)

# KDE Applications version, managed by release script.
set(RELEASE_SERVICE_VERSION_MAJOR "23")
set(RELEASE_SERVICE_VERSION_MINOR "08")
set(RELEASE_SERVICE_VERSION_MICRO "0")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(tokodon VERSION ${RELEASE_SERVICE_VERSION})

option(SAILFISHOS "Build for sailfishOS" OFF)

set(KF_MIN_VERSION "5.77.0")
set(QT_MIN_VERSION "5.15.0")
if (ANDROID)
    set(QT_MIN_VERSION "5.15.10")
endif()

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

include(FeatureSummary)
include(ECMSetupVersion)
include(KDEInstallDirs)
include(ECMQMLModules)
include(KDEClangFormat)
include(ECMQtDeclareLoggingCategory)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMAddTests)
include(KDEGitCommitHooks)

ecm_setup_version(${PROJECT_VERSION}
        VARIABLE_PREFIX TOKODON
        VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/tokodon-version.h
        )

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} NO_MODULE COMPONENTS Widgets Core Quick Gui QuickControls2 Svg WebSockets Test)
set_package_properties(Qt${QT_MAJOR_VERSION} PROPERTIES
        TYPE REQUIRED
        PURPOSE "Basic application components"
        )
find_package(KF${QT_MAJOR_VERSION} ${KF_MIN_VERSION} COMPONENTS Kirigami2 I18n Notifications Config CoreAddons)
set_package_properties(KF${QT_MAJOR_VERSION} PROPERTIES
        TYPE REQUIRED
        PURPOSE "Basic application components"
        )
set_package_properties(KF${QT_MAJOR_VERSION}Kirigami2 PROPERTIES
        TYPE REQUIRED
        PURPOSE "Kirigami application UI framework"
        )
find_package(KF${QT_MAJOR_VERSION}KirigamiAddons 0.10 REQUIRED)
find_package(Qt${QT_MAJOR_VERSION}Keychain)
set_package_properties(Qt${QT_MAJOR_VERSION}Keychain PROPERTIES
    TYPE REQUIRED
    PURPOSE "Secure storage of account secrets"
)

if (ANDROID)
    find_package(OpenSSL)
    set_package_properties(OpenSSL PROPERTIES
        TYPE REQUIRED
        PURPOSE "Encrypted communications"
    )
else()
    if (NOT SAILFISHOS)
        find_package(KF${QT_MAJOR_VERSION}QQC2DesktopStyle REQUIRED)
    endif()
    find_package(KF${QT_MAJOR_VERSION}ConfigWidgets REQUIRED)
endif ()

if (UNIX AND NOT APPLE AND NOT ANDROID)
    find_package(KF${QT_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS KIO)
endif ()

if (NOT ANDROID AND NOT WIN32 AND NOT APPLE)
    find_package(KF${QT_MAJOR_VERSION}DBusAddons ${KF_MIN_VERSION} REQUIRED)
    find_package(KF${QT_MAJOR_VERSION}WindowSystem ${KF_MIN_VERSION} REQUIRED)
endif ()

find_package(PkgConfig REQUIRED)
pkg_check_modules(MPV REQUIRED mpv)

ecm_find_qmlmodule(org.kde.kitemmodels 1.0)
ecm_find_qmlmodule(org.kde.sonnet 1.0)

add_definitions(-DQT_NO_FOREACH -DQT_NO_KEYWORDS)

add_subdirectory(src)

ki18n_install(po)

if (ANDROID)
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/android/version.gradle.in ${CMAKE_BINARY_DIR}/version.gradle)
    kirigami_package_breeze_icons(ICONS bookmarks)
endif()

install(FILES org.kde.tokodon.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.tokodon.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES org.kde.tokodon.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps)

ecm_qt_install_logging_categories(
    EXPORT TOKODON
    FILE tokodon.categories
    SORT DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES src/*.cpp src/*.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

## tokodon 23.02.0~sparky7~0

=== debian/changelog ===
tokodon (23.02.0~sparky7~0-1) UNRELEASED; urgency=medium

  * Initial release. (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- pavroo <pavroo@onet.eu>  Sun, 19 Feb 2023 11:19:04 +0000

=== debian/control ===
Source: tokodon
Section: Networkong
Priority: optional
Maintainer: pavroo <pavroo@onet.eu>
Build-Depends: cmake, debhelper (>= 10), qtbase5-dev, hicolor-icon-theme, libkf5coreaddons-dev, libkf5kio-dev, kirigami-addons-dev, qml-module-org-kde-kitemmodels, libkf5notifications-dev, libkf5qqc2desktopstyle-dev, libqt5websockets5-dev, qtkeychain-qt5-dev, extra-cmake-modules, qtmultimedia5-dev, kirigami2-dev, qml-module-org-kde-kirigami2, libqt5core5a, qml-module-qt-labs-qmlmodels
Standards-Version: 3.9.6
Homepage: https://github.com/KDE/tokodon

Package: tokodon
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Tokodon
 A Mastodon client for Plasma and Plasma Mobile

=== debian/rules ===
#!/usr/bin/make -f

#export LC_ALL=C.UTF-8

%:
	dh $@ --with kf5

## tokodon 23.02.0

=== debian/changelog ===
tokodon (23.02.0-1) unstable; urgency=medium

  * Initial release.

 -- Pino Toscano <pino@debian.org>  Wed, 01 Mar 2023 09:04:53 +0100

=== debian/control ===
Source: tokodon
Section: net
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@alioth-lists.debian.net>
Uploaders: Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.77.0~),
               gettext,
               kirigami-addons-dev (>= 0.6~),
               libkf5config-dev (>= 5.77.0~),
               libkf5coreaddons-dev (>= 5.77.0~),
               libkf5dbusaddons-dev (>= 5.77.0~),
               libkf5i18n-dev (>= 5.77.0~),
               libkf5kio-dev (>= 5.77.0~),
               libkf5notifications-dev (>= 5.77.0~),
               libkf5qqc2desktopstyle-dev (>= 5.77.0~),
               libkf5windowsystem-dev (>= 5.77.0~),
               libqt5svg5-dev (>= 5.15.0~),
               libqt5websockets5-dev (>= 5.15.0~),
               kirigami2-dev (>= 5.77.0~),
               qtbase5-dev (>= 5.15.0~),
               qtdeclarative5-dev (>= 5.15.0~),
               qtkeychain-qt5-dev,
               qtmultimedia5-dev (>= 5.15.0~),
               qtquickcontrols2-5-dev (>= 5.15.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/network/tokodon
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/tokodon
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/tokodon.git
Rules-Requires-Root: no

Package: tokodon
Architecture: any
Depends: qml-module-org-kde-kirigami-addons-labs-mobileform (>= 0.6~),
         qml-module-org-kde-kirigami2 (>= 5.77.0~),
         qml-module-org-kde-kitemmodels (>= 5.77.0~),
         qml-module-org-kde-sonnet (>= 5.77.0~),
         qml-module-qt-labs-platform,
         qml-module-qt-labs-qmlmodels,
         qml-module-qtgraphicaleffects,
         qml-module-qtmultimedia,
         qml-module-qtquick-controls2,
         qml-module-qtquick-dialogs,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${shlibs:Depends},
         ${misc:Depends},
Description: modern Mastodon client
 Tokodon is a modern client for Mastodon, Pleroma, and Nextcloud Social, built
 using the Kirigami technology.
 .
 Tokodon allows you to interact with the Fediverse community.

## tokodon 23.04.2

=== debian/changelog ===
tokodon (23.04.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Switch kirigami-addons-dev B-D to kirigami-addons5-dev.

 -- Patrick Franz <deltaone@debian.org>  Fri, 23 Aug 2024 17:55:48 +0200

tokodon (23.04.2-1) unstable; urgency=medium

  * New upstream release.
  * tokodon is now part of the KDE release service, so:
    - switch watch file to release-service locations
    - import release-service GPG signing key
  * Set Maintainer to the canonical form.
  * Update Vcs-* fields.
  * Update the build dependencies according to the upstream build system:
    - bump kirigami-addons-dev to 0.7.2
    - add libkf5configwidgets-dev
  * Bump the kirigami-addons packages dependencies to 0.7.2.
  * Update copyright.

 -- Pino Toscano <pino@debian.org>  Wed, 21 Jun 2023 07:32:08 +0200

tokodon (23.02.0-2) unstable; urgency=medium

  * Add lintian overrides for copyright/license files to not list in
    debian/copyright.

 -- Pino Toscano <pino@debian.org>  Thu, 15 Jun 2023 21:51:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: tokodon
 Section: net
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@alioth-lists.debian.net>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf5,
                extra-cmake-modules (>= 5.77.0~),
                gettext,
-               kirigami-addons-dev (>= 0.6~),
+               kirigami-addons5-dev (>= 0.7.2~),
                libkf5config-dev (>= 5.77.0~),
+               libkf5configwidgets-dev (>= 5.77.0~),
                libkf5coreaddons-dev (>= 5.77.0~),
                libkf5dbusaddons-dev (>= 5.77.0~),
                libkf5i18n-dev (>= 5.77.0~),
@@ -29,13 +30,13 @@
                xvfb <!nocheck>,
 Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/network/tokodon
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/tokodon
-Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/tokodon.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/tokodon
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/tokodon.git
 Rules-Requires-Root: no
 
 Package: tokodon
 Architecture: any
-Depends: qml-module-org-kde-kirigami-addons-labs-mobileform (>= 0.6~),
+Depends: qml-module-org-kde-kirigami-addons-labs-mobileform (>= 0.7.2~),
          qml-module-org-kde-kirigami2 (>= 5.77.0~),
          qml-module-org-kde-kitemmodels (>= 5.77.0~),
          qml-module-org-kde-sonnet (>= 5.77.0~),

## tokodon 23.08.0

=== debian/changelog ===
tokodon (23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 13:03:26 +0100

tokodon (23.07.90-0ubuntu1) mantic; urgency=medium

  [ Rik Mills ]
  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

  [ José Manuel Santamaría Lema ]
  * Add libmpv-dev to Build-Depends

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:42:50 +0100

tokodon (23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:59:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: tokodon
 Section: net
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf5,
                extra-cmake-modules (>= 5.77.0~),
                gettext,
-               kirigami-addons5-dev (>= 0.7.2~),
+               kirigami-addons-dev (>= 0.7.2~),
+               kirigami2-dev (>= 5.77.0~),
                libkf5config-dev (>= 5.77.0~),
                libkf5configwidgets-dev (>= 5.77.0~),
                libkf5coreaddons-dev (>= 5.77.0~),
@@ -18,9 +20,9 @@
                libkf5notifications-dev (>= 5.77.0~),
                libkf5qqc2desktopstyle-dev (>= 5.77.0~),
                libkf5windowsystem-dev (>= 5.77.0~),
+               libmpv-dev,
                libqt5svg5-dev (>= 5.15.0~),
                libqt5websockets5-dev (>= 5.15.0~),
-               kirigami2-dev (>= 5.77.0~),
                qtbase5-dev (>= 5.15.0~),
                qtdeclarative5-dev (>= 5.15.0~),
                qtkeychain-qt5-dev,
@@ -30,8 +32,8 @@
                xvfb <!nocheck>,
 Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/network/tokodon
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/tokodon
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/tokodon.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/tokodon
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/tokodon
 Rules-Requires-Root: no
 
 Package: tokodon

## tokodon 23.08.1

=== debian/changelog ===
tokodon (23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 12:08:34 +0100

tokodon (23.08.0-0ubuntu2) mantic; urgency=medium

  * Add extra kirigami-addons qml module depends.

 -- Rik Mills <rikmills@kde.org>  Sun, 27 Aug 2023 17:32:17 +0100

## tokodon 23.08.3

=== debian/changelog ===
tokodon (23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:45:13 +0000

tokodon (23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:41:38 +0100

## tokodon 23.08.4

=== debian/changelog ===
tokodon (23.08.4-0ubuntu2) noble; urgency=medium

  * No-change rebuild against Qt 5.15.12.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 30 Dec 2023 20:01:19 +0300

tokodon (23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:24:46 +0000

## tokodon 23.08.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "23")
 set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "0")
+set(RELEASE_SERVICE_VERSION_MICRO "5")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(tokodon VERSION ${RELEASE_SERVICE_VERSION})
@@ -57,7 +57,7 @@
         TYPE REQUIRED
         PURPOSE "Kirigami application UI framework"
         )
-find_package(KF${QT_MAJOR_VERSION}KirigamiAddons 0.10 REQUIRED)
+find_package(KF${QT_MAJOR_VERSION}KirigamiAddons 0.11 REQUIRED)
 find_package(Qt${QT_MAJOR_VERSION}Keychain)
 set_package_properties(Qt${QT_MAJOR_VERSION}Keychain PROPERTIES
     TYPE REQUIRED

=== src/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Carl Schwan <carlschwan@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

add_definitions(-DDATA_DIR="${CMAKE_CURRENT_SOURCE_DIR}/data" )

add_library(tokodon_test_static STATIC mockaccount.cpp)
target_link_libraries(tokodon_test_static PUBLIC tokodon_static)

ecm_add_test(posttest.cpp
    TEST_NAME posttest
    LINK_LIBRARIES tokodon_test_static Qt::Test
    NAME_PREFIX "tokodon-"
)

ecm_add_test(timelinetest.cpp
    TEST_NAME timelinetest
    LINK_LIBRARIES tokodon_test_static Qt::Test
    NAME_PREFIX "tokodon-"
)

ecm_add_test(profileeditortest.cpp
    TEST_NAME profileeditortest
    LINK_LIBRARIES tokodon_test_static Qt::Test
    NAME_PREFIX "tokodon-"
)

ecm_add_test(searchtest.cpp
    TEST_NAME searchtest
    LINK_LIBRARIES tokodon_test_static Qt::Test
    NAME_PREFIX "tokodon-"
)

ecm_add_test(conversationmodeltest.cpp
    TEST_NAME conversationmodeltest
    LINK_LIBRARIES tokodon_test_static Qt::Test
    NAME_PREFIX "tokodon-"
    )

ecm_add_test(blurhashtest.cpp
    TEST_NAME blurhashtest
    LINK_LIBRARIES tokodon_test_static Qt::Test
    NAME_PREFIX "tokodon-"
    )

ecm_add_test(posteditortest.cpp
    TEST_NAME posteditortest
    LINK_LIBRARIES tokodon_test_static Qt::Test
    NAME_PREFIX "tokodon-"
    )

ecm_add_test(federationtooltest.cpp
    TEST_NAME federationtooltest
    LINK_LIBRARIES tokodon_test_static Qt::Test
    NAME_PREFIX "tokodon-"
)

=== debian/changelog ===
tokodon (23.08.5-0ubuntu4) noble; urgency=medium

  * No-change rebuild against Qt 5.15.13.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 05 Apr 2024 15:20:30 +0300

tokodon (23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:25:38 +1100

tokodon (23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 07:18:23 +0000

tokodon (23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 10:34:19 -0700

=== debian/control ===
--- 
+++ 
@@ -39,6 +39,9 @@
 Package: tokodon
 Architecture: any
 Depends: qml-module-org-kde-kirigami-addons-labs-mobileform (>= 0.7.2~),
+         qml-module-org-kde-kirigami-addons-labs-components,
+         qml-module-org-kde-kirigami-addons-components,
+         qml-module-org-kde-kirigami-addons-delegates,
          qml-module-org-kde-kirigami2 (>= 5.77.0~),
          qml-module-org-kde-kitemmodels (>= 5.77.0~),
          qml-module-org-kde-sonnet (>= 5.77.0~),

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_test:
	xvfb-run -a dh_auto_test

## tokodon 24.08.2

=== debian/changelog ===
tokodon (24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 02 Nov 2024 18:02:24 -0500

tokodon (24.08.2-1) experimental; urgency=medium

  [ Scarlett Moore ]
  * Add myself to uploaders.

  [ Aurélien COUDERC ]
  * New upstream release (24.08.2).
  * Update build-deps and deps with the info from cmake.
  * Switch to kf6 debhelper build sequence.
  * Replace manual QML runtime dependencies management with dh-sequence-
    qmldeps.
  * Review copyright information.
  * Bump Standards-Version to 4.7.0, no change required.
  * Update project homepage.
  * Add myself to the uploaders.
  * Drop obsolete lintian overrides.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 25 Oct 2024 00:46:28 +0200

tokodon (23.08.5-0ubuntu6) oracular; urgency=medium

  * No-change rebuild against Qt 5.15.15.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 15 Sep 2024 13:27:55 +0300

tokodon (23.08.5-0ubuntu5) oracular; urgency=medium

  * Replace kirigami-addons-dev B-D with kf5-kirigami-addons-dev.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 15 Sep 2024 11:09:56 +0300

=== debian/control ===
Source: tokodon
Section: net
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Pino Toscano <pino@debian.org>, Scarlett Moore <sgmoore@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               kirigami-addons-dev (>= 1.1.0~),
               libkf6colorscheme-dev (>= 6.0.0~),
               libkf6config-dev (>= 6.0.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6crash-dev (>= 6.0.0~),
               libkf6dbusaddons-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6kio-dev (>= 6.0.0~),
               libkf6notifications-dev (>= 6.0.0~),
               libkf6purpose-dev (>= 6.0.0~),
               libkf6qqc2desktopstyle-dev,
               libkf6windowsystem-dev (>= 6.0.0~),
               libkirigami-dev (>= 6.0.0~),
               libmpvqt-dev,
               libqqc2breezestyle-dev (>= 6.0.0~),
               libssl-dev,
               qml6-module-org-kde-notifications,
               qml6-module-org-kde-purpose,
               qml6-module-qtcore,
               qml6-module-qtquick-dialogs,
               qml6-module-qtquick-effects,
               qt6-base-dev (>= 6.6~),
               qt6-declarative-dev (>= 6.6~),
               qt6-multimedia-dev (>= 6.6~),
               qt6-svg-dev (>= 6.6~),
               qt6-websockets-dev (>= 6.6~),
               qt6-webview-dev (>= 6.6~),
               qtkeychain-qt6-dev,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://apps.kde.org/tokodon
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/tokodon
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/tokodon
Rules-Requires-Root: no

Package: tokodon
Architecture: any
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: modern Mastodon client
 Tokodon is a modern client for Mastodon, Pleroma, and Nextcloud Social, built
 using the Kirigami technology.
 .
 Tokodon allows you to interact with the Fediverse community.

## tokodon 24.12.0

=== debian/changelog ===
tokodon (24.12.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Limit qt6-webview-dev build dependency to amd64 arm64 armhf and i386
    where it’s available, make QtWebView optional for dh_qmldepends.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 23 Jan 2025 14:31:50 +0100

tokodon (24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.
  * Refresh copyright information.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Dec 2024 17:00:58 +0100

=== debian/control ===
Source: tokodon
Section: net
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Pino Toscano <pino@debian.org>,
           Scarlett Moore <sgmoore@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.5.0~),
               gettext,
               kirigami-addons-dev (>= 1.1.0~),
               libkf6colorscheme-dev (>= 6.5.0~),
               libkf6config-dev (>= 6.5.0~),
               libkf6coreaddons-dev (>= 6.5.0~),
               libkf6crash-dev (>= 6.5.0~),
               libkf6dbusaddons-dev (>= 6.5.0~),
               libkf6i18n-dev (>= 6.5.0~),
               libkf6kio-dev (>= 6.5.0~),
               libkf6notifications-dev (>= 6.5.0~),
               libkf6purpose-dev (>= 6.5.0~),
               libkf6qqc2desktopstyle-dev,
               libkf6windowsystem-dev (>= 6.5.0~),
               libkirigami-dev (>= 6.5.0~),
               libmpvqt-dev,
               libqqc2breezestyle-dev (>= 6.0.0~),
               libssl-dev,
               qml6-module-org-kde-kquickcontrolsaddons,
               qml6-module-org-kde-notifications,
               qml6-module-org-kde-purpose,
               qml6-module-qtcore,
               qml6-module-qtquick-dialogs,
               qml6-module-qtquick-effects,
               qt6-base-dev (>= 6.6~),
               qt6-declarative-dev (>= 6.6~),
               qt6-declarative-private-dev,
               qt6-multimedia-dev (>= 6.6~),
               qt6-svg-dev (>= 6.6~),
               qt6-websockets-dev (>= 6.6~),
               qt6-webview-dev (>= 6.6~) [amd64 arm64 armhf i386],
               qtkeychain-qt6-dev,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://apps.kde.org/tokodon
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/tokodon
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/tokodon.git
Rules-Requires-Root: no

Package: tokodon
Architecture: any
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: modern Mastodon client
 Tokodon is a modern client for Mastodon, Pleroma, and Nextcloud Social, built
 using the Kirigami technology.
 .
 Tokodon allows you to interact with the Fediverse community.

## tokodon 24.12.1

=== debian/changelog ===
tokodon (24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 14:42:20 +0000

tokodon (24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:27:25 +0000

tokodon (24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:18:01 +0000

tokodon (24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Nov 2024 15:16:28 +0000

tokodon (24.08.3-0ubuntu2) plucky; urgency=medium

  * Only build with QtWebView on amd64 arm64 armhf.

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Nov 2024 15:53:09 +0000

tokodon (24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:49:31 +0000

=== debian/control ===
Source: tokodon
Section: net
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Pino Toscano <pino@debian.org>, Scarlett Moore <sgmoore@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               kirigami-addons-dev (>= 1.1.0~),
               libkf6colorscheme-dev (>= 6.0.0~),
               libkf6config-dev (>= 6.0.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6crash-dev (>= 6.0.0~),
               libkf6dbusaddons-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6kio-dev (>= 6.0.0~),
               libkf6notifications-dev (>= 6.0.0~),
               libkf6purpose-dev (>= 6.0.0~),
               libkf6qqc2desktopstyle-dev,
               libkf6windowsystem-dev (>= 6.0.0~),
               libkirigami-dev (>= 6.0.0~),
               libmpvqt-dev,
               libqqc2breezestyle-dev (>= 6.0.0~),
               libssl-dev,
               qml6-module-org-kde-notifications,
               qml6-module-org-kde-purpose,
               qml6-module-qtcore,
               qml6-module-qtquick-dialogs,
               qml6-module-qtquick-effects,
               qt6-base-dev (>= 6.6~),
               qt6-declarative-dev (>= 6.6~),
               qt6-multimedia-dev (>= 6.6~),
               qt6-svg-dev (>= 6.6~),
               qt6-websockets-dev (>= 6.6~),
               qt6-webview-dev (>= 6.6~) [amd64 arm64 armhf],
               qtkeychain-qt6-dev,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://apps.kde.org/tokodon
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/tokodon
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/tokodon
Rules-Requires-Root: no

Package: tokodon
Architecture: any
Depends: qml6-module-qtwebview [amd64 arm64 armhf],
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: modern Mastodon client
 Tokodon is a modern client for Mastodon, Pleroma, and Nextcloud Social, built
 using the Kirigami technology.
 .
 Tokodon allows you to interact with the Fediverse community.

## tokodon 24.12.3

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Carl Schwan <carlschwan@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

cmake_minimum_required(VERSION 3.16)

# KDE Applications version, managed by release script.
set(RELEASE_SERVICE_VERSION_MAJOR "24")
set(RELEASE_SERVICE_VERSION_MINOR "12")
set(RELEASE_SERVICE_VERSION_MICRO "3")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(tokodon VERSION ${RELEASE_SERVICE_VERSION})

option(SAILFISHOS "Build for sailfishOS" OFF)

set(SHOULD_USE_QTMULTIMEDIA OFF)
if (WIN32)
    set(SHOULD_USE_QTMULTIMEDIA ON)
endif()

option(USE_QTMULTIMEDIA "Use QtMultimedia instead of MpvQt for video playback" ${SHOULD_USE_QTMULTIMEDIA})

set(KF_MIN_VERSION "6.5.0")
set(QT_MIN_VERSION "6.6")

include(FeatureSummary)

find_package(ECM ${KF_MIN_VERSION} NO_MODULE)
set_package_properties(ECM PROPERTIES
    TYPE REQUIRED
    URL "https://api.kde.org/ecm/"
    DESCRIPTION "extra cmake modules")

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(Qt6 ${QT_MIN_VERSION} NO_MODULE COMPONENTS Widgets Core Quick Gui QuickControls2 Svg WebSockets Test)
set_package_properties(Qt6 PROPERTIES
        TYPE REQUIRED
        PURPOSE "Required application components"
        )

find_package(Qt6WebView ${QT_MIN_VERSION})
set_package_properties(Qt6WebView PROPERTIES
        TYPE OPTIONAL
        PURPOSE "For in-app authentication on mobile"
)
set(USE_QTWEBVIEW ${Qt6WebView_FOUND})

find_package(KF6 ${KF_MIN_VERSION} COMPONENTS Kirigami KirigamiPlatform I18n Notifications Config CoreAddons ColorScheme)
set_package_properties(KF6 PROPERTIES
    TYPE REQUIRED
    PURPOSE "Required application components"
)

find_package(KF6Crash ${KF_MIN_VERSION})
set_package_properties(KF6Crash PROPERTIES
        TYPE OPTIONAL
        PURPOSE "For crash handling"
)

find_package(KF6KirigamiAddons 1.1.0)
set_package_properties(KF6KirigamiAddons PROPERTIES
    TYPE REQUIRED
    PURPOSE "Required application components and runtime dependency"
)

find_package(Qt6Keychain)
set_package_properties(Qt6Keychain PROPERTIES
    TYPE REQUIRED
    PURPOSE "Secure storage of account secrets"
)

find_package(KUnifiedPush QUIET)
set_package_properties(KUnifiedPush PROPERTIES
    TYPE OPTIONAL
    PURPOSE "Push notification support"
    URL "https://invent.kde.org/libraries/kunifiedpush"
)

if (TARGET KUnifiedPush)
    find_package(OpenSSL REQUIRED)
    set_package_properties(OpenSSL PROPERTIES
            PURPOSE "Generate push notification keys"
    )
endif()

if (ANDROID AND NOT TARGET OpenSSL::SSL)
    find_package(OpenSSL)
    set_package_properties(OpenSSL PROPERTIES
        TYPE REQUIRED
        PURPOSE "Encrypted communications"
    )
endif()

if (SAILFISHOS OR ANDROID)
    find_package(QQC2BreezeStyle)
    set_package_properties(QQC2BreezeStyle PROPERTIES
            PURPOSE "Preferred Qt Quick Controls style"
    )
else()
    find_package(KF6QQC2DesktopStyle)
    set_package_properties(KF6QQC2DesktopStyle PROPERTIES
            TYPE REQUIRED
            PURPOSE "Preferred Qt Quick Controls style"
    )
endif()

if (UNIX AND NOT APPLE AND NOT ANDROID)
    find_package(KF6KIO ${KF_MIN_VERSION})
    set_package_properties(KF6KIO PROPERTIES
            TYPE REQUIRED
            PURPOSE "Sharing content and downloading files"
    )
endif ()

if (UNIX AND NOT APPLE AND NOT ANDROID AND NOT TOKODON_FLATPAK)
    find_package(KF6Purpose ${KF_MIN_VERSION})
    set_package_properties(KF6Purpose PROPERTIES
            TYPE REQUIRED
            PURPOSE "Sharing content from other KDE applications"
    )
endif ()

if (NOT ANDROID AND NOT WIN32 AND NOT APPLE)
    find_package(KF6DBusAddons ${KF_MIN_VERSION})
    set_package_properties(KF6DBusAddons PROPERTIES
            TYPE REQUIRED
            PURPOSE "Single application support"
    )
    find_package(KF6WindowSystem ${KF_MIN_VERSION})
    set_package_properties(KF6WindowSystem PROPERTIES
            TYPE REQUIRED
            PURPOSE "Misc windowing operations"
    )
endif ()

if (USE_QTMULTIMEDIA)
    find_package(Qt6Multimedia ${QT_MIN_VERSION})
    set_package_properties(Qt6Multimedia PROPERTIES
            TYPE REQUIRED
            PURPOSE "Video playback"
    )
else()
    find_package(MpvQt)
    set_package_properties(MpvQt PROPERTIES
            PURPOSE "Video playback"
            TYPE REQUIRED
    )
endif()

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

include(ECMSetupVersion)
include(KDEInstallDirs)
include(ECMFindQmlModule)
include(KDEClangFormat)
include(ECMQtDeclareLoggingCategory)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddTests)
include(KDEGitCommitHooks)
include(ECMQmlModule)

if (ANDROID)
    include(ECMAddAndroidApk)
endif ()

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX TOKODON
    VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/tokodon-version.h
)

ecm_find_qmlmodule(org.kde.kitemmodels 1.0)

if (NOT ANDROID)
    ecm_find_qmlmodule(org.kde.sonnet 1.0)
endif()

add_definitions(-DQT_NO_FOREACH -DQT_NO_KEYWORDS)

add_subdirectory(src)

ki18n_install(po)

if (ANDROID)
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/android/version.gradle.in ${CMAKE_BINARY_DIR}/version.gradle)
endif()

install(FILES org.kde.tokodon.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.tokodon.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES org.kde.tokodon.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps)

ecm_qt_install_logging_categories(
    EXPORT TOKODON
    FILE tokodon.categories
    SORT DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES src/*.cpp src/*.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== src/purpose/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Joshua Goins <josh@redstrate.com>
# SPDX-License-Identifier: BSD-2-Clause

kcoreaddons_add_plugin(tokodonplugin SOURCES purposeplugin.cpp INSTALL_NAMESPACE "kf6/purpose")
target_link_libraries(tokodonplugin Qt::DBus KF6::Purpose KF6::KIOGui)

=== debian/changelog ===
tokodon (24.12.3-0ubuntu3) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.3 (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 29 Mar 2025 15:14:14 -0500

tokodon (24.12.3-0ubuntu2) plucky; urgency=medium

  * Build depend on qml6-module-org-kde-kquickcontrolsaddons for
    qmldeps.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 09:52:21 +0000

tokodon (24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:52:33 +0000

tokodon (24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 10:09:10 +0000

tokodon (24.12.1-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.2.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 05 Feb 2025 21:13:13 -0600

=== debian/control ===
--- 
+++ 
@@ -29,6 +29,7 @@
                libssl-dev,
                qml6-module-org-kde-notifications,
                qml6-module-org-kde-purpose,
+               qml6-module-org-kde-kquickcontrolsaddons,
                qml6-module-qtcore,
                qml6-module-qtquick-dialogs,
                qml6-module-qtquick-effects,

## tokodon 25.04.0

=== debian/changelog ===
tokodon (25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update build-deps and deps with the info from cmake.
  * Refresh copyright information.
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 22:24:22 +0200

## tokodon 25.04.1

=== debian/changelog ===
tokodon (25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:20:54 +0100

tokodon (25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)
  * Build depend on libkf6iconthemes-dev

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 20:07:30 +0100

## tokodon 25.04.2

=== debian/changelog ===
tokodon (25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 12:05:17 +0100

=== debian/control ===
--- 
+++ 
@@ -18,6 +18,7 @@
                libkf6crash-dev (>= 6.0.0~),
                libkf6dbusaddons-dev (>= 6.0.0~),
                libkf6i18n-dev (>= 6.0.0~),
+               libkf6iconthemes-dev,
                libkf6kio-dev (>= 6.0.0~),
                libkf6notifications-dev (>= 6.0.0~),
                libkf6purpose-dev (>= 6.0.0~),
@@ -27,9 +28,9 @@
                libmpvqt-dev,
                libqqc2breezestyle-dev (>= 6.0.0~),
                libssl-dev,
+               qml6-module-org-kde-kquickcontrolsaddons,
                qml6-module-org-kde-notifications,
                qml6-module-org-kde-purpose,
-               qml6-module-org-kde-kquickcontrolsaddons,
                qml6-module-qtcore,
                qml6-module-qtquick-dialogs,
                qml6-module-qtquick-effects,

## tokodon 25.04.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,8 +4,8 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Applications version, managed by release script.
-set(RELEASE_SERVICE_VERSION_MAJOR "24")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "04")
 set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
@@ -13,15 +13,8 @@
 
 option(SAILFISHOS "Build for sailfishOS" OFF)
 
-set(SHOULD_USE_QTMULTIMEDIA OFF)
-if (WIN32)
-    set(SHOULD_USE_QTMULTIMEDIA ON)
-endif()
-
-option(USE_QTMULTIMEDIA "Use QtMultimedia instead of MpvQt for video playback" ${SHOULD_USE_QTMULTIMEDIA})
-
-set(KF_MIN_VERSION "6.5.0")
-set(QT_MIN_VERSION "6.6")
+set(KF_MIN_VERSION "6.11.0")
+set(QT_MIN_VERSION "6.8.0")
 
 include(FeatureSummary)
 
@@ -33,10 +26,10 @@
 
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)
 
-set(CMAKE_CXX_STANDARD 17)
+set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
-find_package(Qt6 ${QT_MIN_VERSION} NO_MODULE COMPONENTS Widgets Core Quick Gui QuickControls2 Svg WebSockets Test)
+find_package(Qt6 ${QT_MIN_VERSION} NO_MODULE COMPONENTS Widgets Core Quick Gui QuickControls2 Svg WebSockets Test Multimedia)
 set_package_properties(Qt6 PROPERTIES
         TYPE REQUIRED
         PURPOSE "Required application components"
@@ -49,7 +42,7 @@
 )
 set(USE_QTWEBVIEW ${Qt6WebView_FOUND})
 
-find_package(KF6 ${KF_MIN_VERSION} COMPONENTS Kirigami KirigamiPlatform I18n Notifications Config CoreAddons ColorScheme)
+find_package(KF6 ${KF_MIN_VERSION} COMPONENTS Kirigami KirigamiPlatform I18n Notifications Config CoreAddons ColorScheme IconThemes)
 set_package_properties(KF6 PROPERTIES
     TYPE REQUIRED
     PURPOSE "Required application components"
@@ -81,8 +74,9 @@
 )
 
 if (TARGET KUnifiedPush)
-    find_package(OpenSSL REQUIRED)
+    find_package(OpenSSL)
     set_package_properties(OpenSSL PROPERTIES
+            TYPE REQUIRED
             PURPOSE "Generate push notification keys"
     )
 endif()
@@ -124,7 +118,7 @@
     )
 endif ()
 
-if (NOT ANDROID AND NOT WIN32 AND NOT APPLE)
+if (NOT ANDROID AND NOT WIN32 AND NOT APPLE AND NOT HAIKU)
     find_package(KF6DBusAddons ${KF_MIN_VERSION})
     set_package_properties(KF6DBusAddons PROPERTIES
             TYPE REQUIRED
@@ -136,20 +130,6 @@
             PURPOSE "Misc windowing operations"
     )
 endif ()
-
-if (USE_QTMULTIMEDIA)
-    find_package(Qt6Multimedia ${QT_MIN_VERSION})
-    set_package_properties(Qt6Multimedia PROPERTIES
-            TYPE REQUIRED
-            PURPOSE "Video playback"
-    )
-else()
-    find_package(MpvQt)
-    set_package_properties(MpvQt PROPERTIES
-            PURPOSE "Video playback"
-            TYPE REQUIRED
-    )
-endif()
 
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -158,28 +138,38 @@
 include(ECMFindQmlModule)
 include(KDEClangFormat)
 include(ECMQtDeclareLoggingCategory)
-include(KDECMakeSettings)
+include(KDECMakeSettings NO_POLICY_SCOPE)
 include(KDECompilerSettings NO_POLICY_SCOPE)
 include(ECMAddTests)
 include(KDEGitCommitHooks)
 include(ECMQmlModule)
+include(ECMDeprecationSettings)
+include(ECMCheckOutboundLicense)
 
 if (ANDROID)
     include(ECMAddAndroidApk)
 endif ()
+
+qt_policy(SET QTP0004 NEW)
 
 ecm_setup_version(${PROJECT_VERSION}
     VARIABLE_PREFIX TOKODON
     VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/tokodon-version.h
 )
 
-ecm_find_qmlmodule(org.kde.kitemmodels 1.0)
+ecm_set_disabled_deprecation_versions(
+        QT ${QT_MIN_VERSION}
+        KF ${KF_MIN_VERSION}
+)
+
+ecm_find_qmlmodule(org.kde.kitemmodels REQUIRED)
+ecm_find_qmlmodule(org.kde.notification REQUIRED)
+ecm_find_qmlmodule(org.kde.kquickcontrolsaddons REQUIRED)
+ecm_find_qmlmodule(org.kde.prison REQUIRED)
 
 if (NOT ANDROID)
-    ecm_find_qmlmodule(org.kde.sonnet 1.0)
-endif()
-
-add_definitions(-DQT_NO_FOREACH -DQT_NO_KEYWORDS)
+    ecm_find_qmlmodule(org.kde.sonnet REQUIRED)
+endif()
 
 add_subdirectory(src)
 
@@ -203,3 +193,9 @@
 kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
 
 kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
+
+file(GLOB_RECURSE ALL_SOURCE_FILES *.cpp *.h *.qml)
+# CI installs dependency headers to _install and _build, which break the reuse check
+# Fixes the test by excluding this directory
+list(FILTER ALL_SOURCE_FILES EXCLUDE REGEX [[.*(install|build).*/.*]])
+ecm_check_outbound_license(LICENSES GPL-3.0-only FILES ${ALL_SOURCE_FILES})

=== debian/changelog ===
tokodon (25.04.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.3).
    - Backport upstream commit:
      - Fix a crash when trying to block an account through the post menu.
      [128cdaa7]
      - Add missing mute/block management on the safety page. [4f09a6e8,
      5587bbb9] (kde#506374)
      - Fix broken audio in video attachments playback. [fc886374]
      (kde#505303)
      - Fix crash when trying to save less than the max number of fields.
      [9eb657e1]
      - Add missing toggle for search indexing in account settings. [b319e681]
      - Make sure that toggling account options affects the correct account.
      [4643870b]
      - Fix possible erroneous trailing space in OAuth scope parameter.
      [df89658d]
  * Revert upstream commit 357ef28c which silently requires kirigami
    addons 1.9+ and breaks the account page.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 24 Jul 2025 18:34:20 +0200

tokodon (25.04.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.1).
    - Clamp contentY when using the PageUp key. (kde#501936)
    - Stop registering for push notifications despite them being disabled.
    - Print out what the old endpoint was in the warning message.
    - Don't spam network error log with push subscription checks.
    - Don't bother updating push subscriptions if there is none.
    - Remove annual_report from push notification rules.
    - Call updatePushNotifications when toggling the notifications checkbox.
  * New upstream release (25.04.2).
    - ModerationTools: Fix opening some subpages.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 09 Jun 2025 23:37:39 +0200

=== debian/control ===
Source: tokodon
Section: net
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Pino Toscano <pino@debian.org>,
           Scarlett Moore <sgmoore@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.11.0~),
               gettext,
               kirigami-addons-dev (>= 1.1.0~),
               libkf6colorscheme-dev (>= 6.11.0~),
               libkf6config-dev (>= 6.11.0~),
               libkf6coreaddons-dev (>= 6.11.0~),
               libkf6crash-dev (>= 6.11.0~),
               libkf6dbusaddons-dev (>= 6.11.0~),
               libkf6i18n-dev (>= 6.11.0~),
               libkf6iconthemes-dev (>= 6.11.0~),
               libkf6kio-dev (>= 6.11.0~),
               libkf6notifications-dev (>= 6.11.0~),
               libkf6purpose-dev (>= 6.11.0~),
               libkf6qqc2desktopstyle-dev,
               libkf6windowsystem-dev (>= 6.11.0~),
               libkirigami-dev (>= 6.11.0~),
               libmpvqt-dev,
               libqqc2breezestyle-dev (>= 6.0.0~),
               libssl-dev,
               qml6-module-org-kde-kquickcontrolsaddons,
               qml6-module-org-kde-notifications,
               qml6-module-org-kde-purpose,
               qml6-module-qtcore,
               qml6-module-qtquick-dialogs,
               qml6-module-qtquick-effects,
               qt6-base-dev (>= 6.8.0~),
               qt6-declarative-dev (>= 6.8.0~),
               qt6-declarative-private-dev,
               qt6-multimedia-dev (>= 6.8.0~),
               qt6-svg-dev (>= 6.8.0~),
               qt6-websockets-dev (>= 6.8.0~),
               qt6-webview-dev (>= 6.6~) [amd64 arm64 armhf i386],
               qtkeychain-qt6-dev,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://apps.kde.org/tokodon
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/tokodon
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/tokodon.git
Rules-Requires-Root: no

Package: tokodon
Architecture: any
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: modern Mastodon client
 Tokodon is a modern client for Mastodon, Pleroma, and Nextcloud Social, built
 using the Kirigami technology.
 .
 Tokodon allows you to interact with the Fediverse community.

## tokodon 25.07.80

=== debian/changelog ===
tokodon (25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)
  * New build depend on qcoro-qt6-dev

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:30:12 +0100

tokodon (25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:59:20 +0100

## tokodon 25.07.90

=== debian/changelog ===
tokodon (25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 18:05:08 +0100
